<?php
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
$title = 'Оплата счета через Qiwi';
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');

$id = abs(intval($_GET['id']));
$pay = $db->prepare('SELECT * FROM `pay` WHERE `id` = ?');
$pay -> execute([$id]);
$pay = $pay -> fetch(PDO :: FETCH_ASSOC);
        $client = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
        $client -> execute([$pay['platform']]);
        $client = $client -> fetch(PDO :: FETCH_ASSOC);
/*if(!isset($pay['id'])){
echo '<div id="error" class="message" style="text-align:center;"><b> Для дальнейшей работы вам стоит пройти авторизацию в данном сервисе, если хотите оплатить с личного счета.. </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}*/

if($pay['status'] == 'yes'){
echo '<div id="error" class="message" style="text-align:center;"><b> Данный счет уже был оплачен... </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}
if(!is_numeric($pay['summa'])){
header('Location: /');
exit;
}
if($pay['type'] == 0){
header('Location: /');
exit;
}
$out_summ = $pay['summa']+$pay['summa']*0.05; // сумма
/*Обработчик QIWI*/
if(isset($_POST['check'])){
$phone = file_get_contents('https://wordpay.ru/moduls/output/qiwimobile.php?phone='.$_POST['phone']);
if($phone == 0){
$_SESSION['message'] = 'Произошла ошибка, не верно указан номер телефона.';
header('Location: /payment/pay/qiwi/?id='.$pay['id']);
exit;
}
$_SESSION['qiwi'] = $pay['id'];
$num = file_get_contents('https://wordpay.ru/payment/pay/qiwi/qiwisdk.php?money='.$out_summ.'&phone='.$_POST['phone'].'&id='.$pay['id']);
header('location: '.$num);
exit();
}
?>          
<div class="top">Оплата счета через QIWI</div>
<div class="box">
Что бы вам оплатить через данный способ вам стоит указать номер телефона и нажать оплатить .<br />
Вы перейдете на платежную форму QIWI где вы можете оплатить с кошелька или с банковской карты
</div>
<div class="box">
<form method="POST">
			Введите номер телефона <strong>(Пример: 79997007080)</strong> :</br>
<input type="number" name="phone" maxlength="32"></br>
        <input type="submit" name="check" value="Оплатить">
         
          </form></div>
<?
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');